Loading...
Searching...
No Matches
spa_io_video_size Struct Reference
SPA » Node

`#include <spa/node/io.h>`

## Data Fields

uint32_t | flags
| optional flags
uint32_t | stride
| video stride in bytes
struct spa_rectangle | size
| the video size
struct spa_fraction | framerate
| the minimum framerate, the cycle duration is always smaller to ensure there is only one video frame per cycle.
uint32_t | padding [4]

## Field Documentation

## flags

uint32_t spa_io_video_size::flags

optional flags

## stride

uint32_t spa_io_video_size::stride

video stride in bytes

## size

struct spa_rectangle spa_io_video_size::size

the video size

## framerate

struct spa_fraction spa_io_video_size::framerate

the minimum framerate, the cycle duration is always smaller to ensure there is only one video frame per cycle.

## padding

uint32_t spa_io_video_size::padding[4]

The documentation for this struct was generated from the following file:

- spa/node/io.h